<?php
/*
(c)2004,2005 David Sporn

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License version 2.1 as published by the Free Software Foundation.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
require_once("lib/LinkerBase.php") ;

/**
 *Base class for building classical link.
 *Pattern : <base>/<path>?var1=value1&var2=value
 */

class RegularLinkerBase extends LinkerBase
{
	/**Encode a parameter value in a url.
	 * @param name the parameter name.
	 * @param value the value to encode.
	 * @param isFirst flag set to true if it is the first parameter of the list.
	 * @return a string
	 */
	function encodeParameter($name, $value, $isFirst = false)
	{
		$value = $this->encodeValue($value) ;
		return (($isFirst)?'?':'&').$name.'='.$value ;
	}
	
}
?>